Adobe Flash Playerin tietoturvapäivitykset

Julkaisupäivä: 14. helmikuuta 2017

Viimeksi päivitetty: 13. huhtikuuta 2017

Haavoittuvuuden tunniste: APSB17-04

Prioriteetti: Katso alla oleva taulukko

CVE-numero: CVE-2017-2982,CVE-2017-2984, CVE-2017-2985, CVE-2017-2986, CVE-2017-2987, CVE-2017-2988,CVE-2017-2990, CVE-2017-2991, CVE-2017-2992, CVE-2017-2993, CVE-2017-2995, CVE-2017-2996

Ympäristö: Windows, Macintosh, Linux ja Chrome OS

Yhteenveto

Adobe on julkaissut tietoturvapäivityksiä Adobe Flash Playerin Windows-, Macintosh-, Linux- ja Chrome OS -versioihin. Nämä päivitykset ratkaisevat kriittisiä haavoittuvuuksia, jotka voivat johtaa siihen, että hyökkääjä saa altistuneen järjestelmän haltuunsa. 

Alttiit versiot

Tuote Versiot Ympäristö
Ajonaikainen Flash Player -työpöytäsovellus 24.0.0.194 ja aiemmat versiot Windows, Macintosh ja Linux
Adobe Flash Player Google Chromelle 24.0.0.194 ja aiemmat versiot Windows, Macintosh, Linux ja Chrome OS
Adobe Flash Player Microsoft Edgelle ja Internet Explorer 11:lle 24.0.0.194 ja aiemmat versiot Windows 10 ja 8.1
  • Voit tarkistaa Adobe Flash Playerin version siirtymällä About Flash Player (Tietoja Flash Playeristä) -sivulle tai napsauttamalla hiiren kakkospainikkeella Flash Player -sisältöä ja valitsemalla valikosta ”About Adobe (tai Macromedia) Flash Player (Tietoja Adobe (tai Macromedia) Flash Playeristä)”. Jos käytät useita selaimia, tarkista jokainen järjestelmään asennettu selain erikseen.  

Ratkaisu

Adobe luokittelee päivitykset seuraavan prioriteettiluokituksen mukaisesti ja suosittelee käyttäjiä päivittämään asennuksensa uusimpaan versioon:

Tuote Päivitetyt versiot Ympäristö Prioriteettiluokitus Saatavuus
Adobe Flash Player Desktop Runtime 24.0.0.221 Windows ja Macintosh 1 Flash Playerin latauskeskus
Flash Player -jakelu
Adobe Flash Player Google Chromelle 24.0.0.221  Windows, Macintosh, Linux ja Chrome OS 1 Google Chrome -versiot
Adobe Flash Player Microsoft Edgelle ja Internet Explorer 11:lle 24.0.0.221 Windows 10 ja 8.1 1 Microsoftin tietoturvatiedote
Adobe Flash Player Desktop Runtime 24.0.0.221 Linux 3 Flash Player -latauskeskus
  • Adobe suosittelee Adobe Flash Player Desktop Runtimen Windows-, Macintosh- ja Linux-käyttäjiä päivittämään versioon 24.0.0.221 joko tuotteen [1] päivitysmekanismin tai Adobe Flash Playerin latauskeskuksen avulla.
  • Google Chromen mukana asennettu Adobe Flash Player päivitetään automaattisesti uusimpaan Google Chrome -versioon, joka sisältää Windowsin, Macintoshin, Linuxin ja Chrome OS:n Adobe Flash Player -version 24.0.0.221.
  • Windows 10/8.1:een Microsoft Edgen ja Windows Internet Explorer for Windows 11:n mukana asennettu Adobe Flash Player päivitetään automaattisesti uusimpaan versioon, joka sisältää Adobe Flash Player -version 24.0.0.221.
  • Lisäohjeita Flash Playerin asentamisesta on Flash Playerin ohjesivulla.

[1] Windowsin Flash Player -version 11.2.x tai uudemman tai Machintoshin Flash Player -version 11.3.x tai uudemman käyttäjien, jotka ovat valinneet Salli Adoben asentaa päivitykset -asetusvaihtoehdon, saavat päivityksen automaattisesti. Käyttäjät, jotka eivät ole valinneet Salli Adoben asentaa päivitykset -asetusvaihtoehtoa, voivat asentaa päivityksen tuotteen päivitysmekanismin avulla sitä kysyttäessä.

Lisätietoja haavoittuvuuksista

  • Nämä päivitykset ratkaisevat tyyppisekaannushaavoittuvuuden, joka voi johtaa koodin suoritukseen (CVE-2017-2995).
  • Nämä päivitykset ratkaisevat kokonaisluvun ylivuoto-ongelman, joka voi johtaa koodin suoritukseen (CVE-2017-2987).
  • Nämä päivitykset ratkaisevat vapautuksen jälkeisen käytön haavoittuvuuksia, jotka voivat johtaa koodin suorittamiseen (CVE-2017-2982, CVE-2017-2985, CVE-2017-2993).
  • Nämä päivitykset ratkaisevat pinopuskurin ylivuodon haavoittuvuuksia, jotka voivat johtaa koodin suoritukseen (CVE-2017- 2984, CVE-2017-2986 ja CVE-2017-2992).
  • Nämä päivitykset ratkaisevat muistin vioittumisen haavoittuvuuksia, jotka voivat johtaa koodin suoritukseen (CVE-2017-2988, CVE-2017-2990, CVE-2017-2991 ja CVE-2017-2996).

Kiitokset

Adobe haluaa kiittää seuraavia henkilöitä ja organisaatioita näistä ongelmista ilmoittamisesta ja yhteistyöstä Adoben kanssa sen asiakkaiden suojaamisessa:

  • Mateusz Jurczyk ja Natalie Silvanovich Google Project Zero -ohjelmasta (CVE-2017-2985, CVE-2017-2986, CVE-2017-2988 ja CVE-2017-2992)
  • Nicolas Joly Microsoft Vulnerability Researchista (CVE-2017-2993)
  • Tao Yan Palo Alto Networksista (CVE-2017-2982 ja CVE-2017-2996).
  • Kai Lu Fortinetin FortiGuard Labsista yhdessä Chromium Vulnerability Rewards -ohjelman kanssa (CVE-2017-2984, CVE-2017-2990 ja CVE-2017-2991).
  • bo13oy CloverSec Labsista yhdestä Trend Micron Zero Day Initiative -ohjelman kanssa ( ja CVE-2017-2995).

Adobe haluaa kiittää seuraavia henkilöitä ja organisaatioita, jotka ilmoittivat näistä ongelmista ja auttoivat Adobea sen asiakkaiden tietoturvan suojaamisessa:

  • Dhanesh Kizhakkinan FireEye'sta sekä Peter Pi TrendMicrosta (CVE-2015-5122)
  • Peter Pi TrendMicrosta sekä slipstream/RoL (@TheWack0lian) (CVE-2015-5123)

Versiot

13. huhtikuuta 2017: poistettu viittaus haavoittuvuuteen CVE-2017-2994, joka oli lisätty vahingossa tiedotteeseen. Viittaus haavoittuvuuteen CVE-2017-2994 siirretään tästä julkaisusta APSB17-07-julkaisuun